
// EKMozCtl Settings

// Welche Standardialoge sollen verwendet werden? (alert, confirm, ...)
pref("ekmozctl.useDefaultPromptService", false);

// Welchen "Öffnen mit / Speichern unter" Dialog verwenden?
pref("ekmozctl.useDefaultHelperAppLauncherDlg", false);
// Möglichst gar keinen Öffnen/Speichern Dialog anzeigen, d.h. bekannte Dateitypen
// direkt mit der passenden Anwendung öffnen. (Nur wenn oben false)
pref("ekmozctl.skipAppLauncherDialog", true);
// Passende Anwendung direkt über den Dateinamen suchen und Mimetype ignorieren.
pref("ekmozctl.preferFileExtensionApp", false);


// Benutzer Profilverzeichnis anlegen?  (Ohne Profil scheinen die Downloads nicht zu funktionieren)
// Es wird normalerweise in "%USERPROFILE%/Anwendungsdaten/Mozilla/EKMozCtl" angelegt.
pref("ekmozctl.startUserProfileService", true);

// Profil im temp Verzeichnis anlegen und beim beenden wieder löschen.
pref("ekmozctl.temporaryUserProfile", false);

// Profil beim Start immer auf die Standard Einstellungen rücksetzen.
pref("ekmozctl.resetUserPrefs", false);

// Exec PostQuitMessage(0) after XRE_TermEmbedding (and XPCOMGlueShutdown).
pref("ekmozctl.useShutdownHack", true);


// Notwendig fuer Source Editor (Save As)
pref("browser.download.useDownloadDir", false);
pref("browser.download.folderList", 0);
pref("browser.download.manager.showAlertOnComplete", true);
pref("browser.download.manager.showAlertInterval", 2000);
pref("browser.download.manager.retention", 2);
pref("browser.download.manager.showWhenStarting", true);
pref("browser.download.manager.useWindow", true);
pref("browser.download.manager.closeWhenDone", false);
pref("browser.download.manager.openDelay", 0);
pref("browser.download.manager.focusWhenStarting", false);
pref("browser.download.manager.flashCount", 2);
pref("browser.download.manager.addToRecentDocs", true);
pref("browser.download.manager.quitBehavior", 0);
pref("browser.download.manager.scanWhenDone", true);
pref("browser.cache.offline.enable", false);

//pref("general.useragent.locale", "en-US");

// Im Plugin Info komplette Pfade anzeigen
pref("plugin.expose_full_path", true);

// Hauptfenster (bzw. EKat) schliessen mit self.close()?
pref("dom.allow_scripts_to_close_windows", true);


// Standard Dialoge verwenden? (about:config, about:plugins, ...)
pref("ekmozctl.defaultConsoleWin", true);	// chrome://ekmoz/content/console.xul
pref("ekmozctl.defaultPluginWin", true);	// chrome://ekmoz/content/plugins.html
pref("ekmozctl.defaultConfigWin", true);	// chrome://ekmoz/content/config.xul

// Disable layer acceleration
pref("layers.acceleration.disabled", true);

// Enable mailto client
pref("network.protocol-handler.expose.mailto", false);
pref("network.protocol-handler.external.mailto", true);
pref("network.protocol-handler.warn-external.mailto", false);
